Skip to content
Start here

Update a blocked email sender

client.emailSecurity.settings.blockSenders.edit(numberpatternId, BlockSenderEditParams { account_id, comments, is_regex, 2 more } params, RequestOptionsoptions?): BlockSenderEditResponse { id, created_at, is_regex, 4 more }
PATCH/accounts/{account_id}/email-security/settings/block_senders/{pattern_id}

Modifies a blocked sender entry, updating its pattern or block reason.

Security

API Email + API Key

The previous authorization scheme for interacting with the Cloudflare API, used in conjunction with a Global API key.

Example:X-Auth-Email: user@example.com

The previous authorization scheme for interacting with the Cloudflare API. When possible, use API tokens instead of Global API keys.

Example:X-Auth-Key: 144c9defac04969c7bfad8efaa8ea194
Accepted Permissions (at least one required)
Cloud Email Security: Write
ParametersExpand Collapse
patternId: number

The unique identifier for the allow policy.

formatint32
params: BlockSenderEditParams { account_id, comments, is_regex, 2 more }
account_id: string

Path param: Account Identifier

maxLength32
minLength32
comments?: string | null

Body param

is_regex?: boolean | null

Body param

pattern?: string | null

Body param

minLength1
pattern_type?: "EMAIL" | "DOMAIN" | "IP" | "UNKNOWN" | null

Body param

One of the following:
"EMAIL"
"DOMAIN"
"IP"
"UNKNOWN"
ReturnsExpand Collapse
BlockSenderEditResponse { id, created_at, is_regex, 4 more }
id: number

The unique identifier for the allow policy.

formatint32
created_at: string
formatdate-time
is_regex: boolean
last_modified: string
formatdate-time
pattern: string
maxLength1024
minLength1
pattern_type: "EMAIL" | "DOMAIN" | "IP" | "UNKNOWN"
One of the following:
"EMAIL"
"DOMAIN"
"IP"
"UNKNOWN"
comments?: string | null
maxLength1024

Update a blocked email sender

import Cloudflare from 'cloudflare';

const client = new Cloudflare({
  apiEmail: process.env['CLOUDFLARE_EMAIL'], // This is the default and can be omitted
  apiKey: process.env['CLOUDFLARE_API_KEY'], // This is the default and can be omitted
});

const response = await client.emailSecurity.settings.blockSenders.edit(2402, {
  account_id: '023e105f4ecef8ad9ca31a8372d0c353',
});

console.log(response.id);
{
  "errors": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "messages": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "result": {
    "id": 2402,
    "created_at": "2019-12-27T18:11:19.117Z",
    "is_regex": true,
    "last_modified": "2019-12-27T18:11:19.117Z",
    "pattern": "x",
    "pattern_type": "EMAIL",
    "comments": "comments"
  },
  "success": true
}
Returns Examples
{
  "errors": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "messages": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "result": {
    "id": 2402,
    "created_at": "2019-12-27T18:11:19.117Z",
    "is_regex": true,
    "last_modified": "2019-12-27T18:11:19.117Z",
    "pattern": "x",
    "pattern_type": "EMAIL",
    "comments": "comments"
  },
  "success": true
}